Package jebl.evolution.io

# Class ImportException.TooFewTaxaException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jebl.evolution.io.ImportException
jebl.evolution.io.ImportException.TooFewTaxaException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ImportException`

public static class ImportException.TooFewTaxaException extends ImportException

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class jebl.evolution.io.ImportException

`ImportException.BadFormatException, ImportException.DuplicateFieldException, ImportException.DuplicateTaxaException, ImportException.MissingFieldException, ImportException.ShortSequenceException, ImportException.TooFewTaxaException, ImportException.UnknownTaxonException, ImportException.UnparsableDataException`

## Constructor Summary

Constructors
Constructor
Description
`TooFewTaxaException()`
`TooFewTaxaException(String message)`

## Method Summary

Modifier and Type
Method
Description
`String`
`userMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TooFewTaxaException

public TooFewTaxaException()

### TooFewTaxaException

public TooFewTaxaException(String message)

## Method Details

### userMessage

public String userMessage()

Overrides:
  `userMessage` in class `ImportException`